/* 
 * LWmenu.js 
 * This the menu widget of the LightWeigthComponents project
 * (https://sourceforge.net/projects/lwcomponents/)
 *
 * @copyright (C) 2005 Luca Mariano <luca.mariano@email.it>  
 * @license GPL [http://www.fsf.org/licensing/licenses/gpl.txt]
 * @author Luca Mariano <luca.mariano@email.it> 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA. 
 *
 */

var LWmenu_idx = 0;

function LWmenu()
{
    this.name = 'LWmenu_'+LWmenu_idx++;
    this.labels = new Array();    
    this.items = new Array();

    function _setItems(itemsArray) {
        for (var i=0;i<itemsArray.length;i++)
        {
            this.labels.push(itemsArray[i][0]);
            this.items.push(itemsArray[i][1]);
        }
    }
    
  this._setItems = _setItems;  
  document.write('<link rel="stylesheet" type="text/css" href="../css/LWmenu.css" />\n');  
}



LWmenu.prototype.setItems = function(itemsArray) {
    this._setItems(itemsArray);
}


LWmenu.prototype.toString = function() {
        
    var ret = ' <div class="LWmenu">\n';        
        for (var idx=0; idx<this.labels.length; idx++)
        {
            ret += '  <select id="LWmenu_'+idx+'" onchange="onLWmenuItemSelected('+idx+')">\n';
            ret += '     <option value="" selected=selected>'+this.labels[idx]+'</option>   \n';
         
         var items = this.items[idx];   
            for (var jdx=0; jdx<items.length; jdx++)
            {  
                  ret += '     <option value="'+items[jdx][1]+'">'+items[jdx][0]+'</option>   \n'; 
            }
            ret += '   </select>\n';
   }
    ret += '</div>\n';
    return ret;
}

function onLWmenuItemSelected(idx)
{
    var element = document.getElementById("LWmenu_"+idx);
    var selected = element.value;
    eval(' ' + selected);
    element.options[0].selected=true;
}


